Intel® Edge Software Hub
Get help on building Edge Software Hub solutions for edge compute node
Announcements
Welcome to the Intel Community! If you like the answer to your question, please mark it as 'Accepted Solution' to help others.

The Edge Software Vision Package for Red Hat Enterprise Linux is now available here.

Learn more about developing on Intel® Hardware and Software here.

Device Manageability feature

Mauricio
Novice
515 Views

Hi everyone,

 

I am automating the process of installing and configuring the device management feature.

 

I have founded some errors:

 

1) The update step, can sometimes fail.

So, my workaround is replace the lines with this one:

apt-get update >&/dev/null || echo 'no-possible-update'

in the install-tc.sh file.

 

2) On Ubuntu 20.04, I having an issue related to trtl:

Now, I am having a problem with trtl package:

 

 


** Will install MQTT Service.
Selecting previously unselected package mqtt.
(Reading database ... 195506 files and directories currently installed.)
Preparing to unpack mqtt-2.13.2-1.deb ...
Before install called
Found systemd; attempting to stop any prior mqtt service
Unpacking mqtt (2.13.2-1) ...
Setting up mqtt (2.13.2-1) ...
After install called
chmod: cannot access '/lib/systemd/system/systemd/system/mqtt.service': No such file or directory
Found systemd; attempting to start mqtt service
Ran systemctl daemon-reload
MQTT Installation Complete
Will install trtl executable
Selecting previously unselected package trtl.
(Reading database ... 195534 files and directories currently installed.)
Preparing to unpack trtl-2.13.2-1.EVAL.deb ...
Unpacking trtl (2.13.2-1) ...
Setting up trtl (2.13.2-1) ...
After install called
AppArmor detected. Activating trtl's AppArmor policies.
AppArmor parser error for /etc/apparmor.d/usr.bin.trtl in /etc/apparmor.d/usr.bin.trtl at line 6: Could not open 'abstractions/lxc/container-base'
dpkg: error processing package trtl (--install):
installed trtl package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
trtl
Issue with installation. Will force.
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
chromium-codecs-ffmpeg-extra gstreamer1.0-vaapi libgstreamer-plugins-bad1.0-0 libva-wayland2
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up trtl (2.13.2-1) ...
After install called
AppArmor detected. Activating trtl's AppArmor policies.
AppArmor parser error for /etc/apparmor.d/usr.bin.trtl in /etc/apparmor.d/usr.bin.trtl at line 6: Could not open 'abstractions/lxc/container-base'
dpkg: error processing package trtl (--configure):
installed trtl package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
trtl
E: Sub-process /usr/bin/dpkg returned an error code (1)
make: *** [Makefile:35: install-tc] Error 100

 

 

 

Do you know why I get this error?

Thanks,

Regards,

Mauri Aguilar.

Labels (1)
0 Kudos
4 Replies
JesusE_Intel
Moderator
473 Views

Hi Mauri,

 

Thanks for reaching out. The Edge Insights for Industrial software package and the Device Manageability list Ubuntu 18.04 as a pre-requisite. Could you try this process on a Ubuntu 18.04 system and let me know if you continue to have this issue?

 

Regards,

Jesus

 

Mauricio
Novice
455 Views

Hi Jesus,

 

I have had the same error on Ubuntu 18.04.

My workaround was:

sudo apt remove --purge apparmor 
reboot
sudo apt install apparmor

 

but I am not sure that was the solution.

I have been problems with the services:

apparmor.service

trtl

configuration.service

mqtt.service

 

In this moment I do not have this errors.

If I install turtle creek every time I use it, I do not have this errors.

 

Best regards,

Mauri

JesusE_Intel
Moderator
425 Views

Hi Mauri,


Edge Insights for Industrial version 2.6.1 is now available, could you check if you run into the same error on this release?


Regards,

Jesus


JesusE_Intel
Moderator
394 Views

If you need any additional information, please submit a new question as this thread will no longer be monitored.

Reply